Skip to content

Export Agent

GET /agents/{agent_id}/export

Round-trippable with POST /agents/import (test_agent_form_roundtrip).

NameInTypeNotes
agent_idpathstring (uuid)required—
StatusDescriptionBody
200Successful ResponseAgentDocument
422Validation ErrorHTTPValidationError
Terminal window
curl -X GET https://your-deployment.example.com/agents/{agent_id}/export \
-H "Authorization: Bearer $COBRE_TOKEN"
FieldTypeNotes
schema_versionintegeroptionalDefault 1. min 1
kindstringoptionalDefault "agent".
slugstringrequired—
namestringrequiredmin length 1 max length 200
descriptionstring | nulloptional—
scopeworkspace | organization | platform | nulloptional—
avatar_presetanalyst | archivist | builder | courier | gardener | navigator | scribe | sentinel | nulloptional—
image_urlstring | nulloptionalmax length 2048
is_activebooleanoptionalDefault true.
attributesobjectoptional—
revisionRevisionDocumentoptional—
personasPersonaDocument[]optional—